﻿:root {
    /*Shift colors*/
    --closed-shift: rgba(255, 194, 14, 0.75);
    --open-shift: rgba(213, 50, 124, 0.75);
    --settled-shift: rgba(0, 134, 156, 0.75);
    --forcibly-closed-shift: rgba(255, 194, 14, 0.75);
    --forcibly-open-shift: rgba(213, 50, 124, 0.75);
    /*Shift events colors*/
    --trip-event: rgba(199, 0, 40, 0.81);
    --free-event: rgb(0, 156, 106);
    --pause-event: rgb(155 155 155);
    --out-of-shift-event: rgb(94, 91, 91);
    /*Component activation state*/
    --active-state: rgb(0,156,106);
    --not-active-state: rgb(155 155 155);
    --not-checked-alert: rgb(251, 140, 0, 0.75);
    /*Map Header colors*/
    --map-trip-event: rgba(199, 0, 40);
    --map-free-event: rgb(0, 156, 106);
    --map-pause-event: rgb(155 155 155);
    --map-out-of-shift-event: rgb(94, 91, 91);
    --map-closed-shift: rgba(255, 194, 14);
    --map-open-shift: rgba(213, 50, 124);
    --map-settled-shift: rgba(0, 134, 156);
    --map-forcibly-closed-shift: rgba(255, 194, 14);
    --map-forcibly-open-shift: rgba(213, 50, 124);
}

.vertical-center {
    margin: 0;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.justify-text {
    text-align: justify;
}

.timeline-item a, .timeline-item i, .timeline-item-info label, .timeline-item-info small {
    color: var(--text-grey);
}

.timeline-alt .timeline-item:before {
    height: 100%;
}

.btn-card-header {
    padding: 0 !important;
    border: none;
}

.fleet-conf-btn {
    margin: 0;
    padding: 0 !important;
    border: none;
    width: -webkit-fill-available;
    height: -webkit-fill-available;
    font-size: inherit;
    background-color: var(--backgroundcard);
}


/*Format dels indexs*/
.btn-index {
    padding: unset;
    padding-left: 2px;
    margin-left: 2px;
    border: none;
}

/*Special styles for elements that refer to an ID = 0*/
.invalid-id-button {
    padding: unset !important;
    padding-left: 2px !important;
}

.invalid-id-icon {
    border: none;
    color: var(--textcolor);
}

    .invalid-id-icon:hover {
        background-color: none !important;
        color: var(--white);
    }


/*Format de les icones de les llistes dt ul*/
/*Labels*/
.dl-label-min {
    font-size: smaller;
}

.list-checkmarks a {
    color: var(--textcolor);
}

.list-checkmarks dd {
    margin-bottom: 0;
    margin-left: 0;
}

.list-checkmarks dd {
    color: var(--label-grey);
    margin-bottom: .5rem;
}

.list-checkmarks dt {
    color: var(--text-grey);
    margin-bottom: .5rem;
}

.list-checkmarks label, .list-checkmarks text {
    margin-bottom: .0rem;
    color: var(--text-grey);
}

.list-checkmarks .rating {
    font-size: medium;
}


.list-checkmarks li, .list-checkmarks dt {
    list-style-type: none;
}

    .list-checkmarks li text, .list-checkmarks dt text {
        /*padding-left: 10px;*/
    }

    .list-checkmarks li:before, .list-checkmarks dt:before, .list-checkmarks dd:before {
        font-family: 'Font Awesome 5 Pro';
        color: var(--label-grey);
        margin-right: 10px;
    }

    .list-checkmarks.map li:before, .list-checkmarks.map dt:before,
    .list-checkmarks dd.map:before, .list-checkmarks dt.map:before {
        content: "\f3c5";
    }

    .list-checkmarks.calendar li:before, .list-checkmarks.calendar dt:before,
    .list-checkmarks dd.calendar:before, .list-checkmarks dt.calendar:before {
        content: "\f073";
    }

    .list-checkmarks.start li:before, .list-checkmarks.start dt:before,
    .list-checkmarks dd.start:before, .list-checkmarks dt.start:before {
        content: "\f144";
    }

    .list-checkmarks.stop li:before, .list-checkmarks.stop dt:before,
    .list-checkmarks dd.stop:before, .list-checkmarks dt.stop:before {
        content: "\f28d";
    }

    .list-checkmarks.mail li:before, .list-checkmarks.mail dt:before,
    .list-checkmarks dd.mail:before, .list-checkmarks dt.mail:before {
        content: "\f0e0";
    }

    .list-checkmarks.phone li:before, .list-checkmarks.phone dt:before,
    .list-checkmarks dd.phone:before, .list-checkmarks dt.phone:before {
        content: "\f095";
    }

    .list-checkmarks.taxi li:before, .list-checkmarks.taxi dt:before,
    .list-checkmarks dd.taxi:before, .list-checkmarks dt.taxi:before {
        content: "\f1ba";
    }

    .list-checkmarks.driver li:before, .list-checkmarks.driver dt:before,
    .list-checkmarks dd.driver:before, .list-checkmarks dt.driver:before {
        content: "\f508";
    }

    .list-checkmarks.passengers li:before, .list-checkmarks.passengers dt:before,
    .list-checkmarks dd.passengers:before, .list-checkmarks dt.passengers:before {
        content: "\f0c0";
    }

    .list-checkmarks.alert li:before, .list-checkmarks.alert dt:before,
    .list-checkmarks dd.alert:before, .list-checkmarks dt.alert:before {
        content: "\f848";
    }

    .list-checkmarks.averageSpeed li:before, .list-checkmarks.averageSpeed dt:before,
    .list-checkmarks dd.averageSpeed:before, .list-checkmarks dt.averageSpeed:before {
        content: "\f624";
    }

    .list-checkmarks.maxSpeed li:before, .list-checkmarks.maxSpeed dt:before,
    .list-checkmarks dd.maxSpeed:before, .list-checkmarks dt.maxSpeed:before {
        content: "\f626";
    }

/*rating*/
._rating {
    color: var(--text-grey);
    font-size: medium;
}

.fa-star ._rating {
    display: inline-block;
    border-radius: 50%;
    font-size: medium;
    /*border: 5px double white;*/
    width: 30px;
    height: 30px;
}



/*Mapa*/
#divDatosPuntoRutaVehiculo {
    position: absolute;
    z-index: 200;
    left: 17px;
    bottom: -5px;
}


/**/
.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: var(--text-grey);
    background-color: var(--primary);
}

#rootwizard .nav-pills .nav-link, .nav-pills .nav-link a {
    cursor: default;
}

.container {
    margin: 0 auto;
    padding: 3rem 1.5rem 1.5rem 1.5rem;
}

cercalia-autocomplete.form-control {
    width: 400px;
}

/* Input text */
cercalia-autocomplete input.paper-input {
    font-size: 12px !important;
    font-family: "Comic Sans MS", cursive, sans-serif !important;
}

/* Div suggestions */
cercalia-autocomplete #suggestionsWrapper {
    background-color: #E7EFFF !important;
}

    /* Element llista suggestions */
    cercalia-autocomplete #suggestionsWrapper paper-item:hover {
        background-color: #87AFFF !important;
    }

    /* Text suggestions */
    cercalia-autocomplete #suggestionsWrapper paper-item span.text {
        font-size: 11px !important;
        font-family: "Comic Sans MS", cursive, sans-serif !important;
    }

::-webkit-calendar-picker-indicator {
    filter: invert(1);
}

.input-validation-error {
    border-color: var(--danger);
}

.bootbox-body label.custom-control-label.control-label {
    font-size: 15px;
    color: #aab8c5;
}

/*input:invalid {
    border-color: var(--danger);
}
*/

label.error, label.is-invalid {
    color: var(--danger);
}

span.field-validation-error {
    font-size: .75rem;
    font-weight: 400;
    float: left;
    width: max-content;
    /*position: absolute;*/
}

    span.field-validation-error.positionbottom {
        font-size: .75rem;
        font-weight: 400;
        float: left;
        width: max-content;
        position: unset;
    }

.mb-3_5 {
    margin-bottom: 1.85rem;
}

.validator-container {
    margin-top: 0.5rem;
    margin-bottom: 1.85rem;
}

.validationwithdiv {
    padding: 0rem .95rem;
}

.iti__selected-flag > .iti__flag {
    visibility: hidden !important;
    width: 0px !important;
}

.end-stretched-link {
    position: relative;
}


a.nav-link.active:parent(li.nav-item) {
    background-color: red;
}

#divImgAceptar {
    background-color: red;
}

#textoSuperior {
    color: white;
}



.circle-bg {
    background-image: url(../images/bg-pattern-light.svg);
    background-size: cover;
    background-position: center;
}

@media (max-width:768px) {
    .bigmap {
        position: absolute;
        /*width: -webkit-fill-available;*/
        padding-left: 0px;
        padding-right: 0px;
        height: 100% !important;
    }

    .mapMenu {
        position: unset;
        margin-top: 0px;
        margin-left: 0px;
    }
}

@media (max-width:425px) {
    .offcanvas-start {
        width: 85% !important;
    }

    .bigmap {
        position: absolute !important;
        /*width: -webkit-fill-available;*/
        padding-left: 0px;
        padding-right: 0px;
        height: 100% !important;
    }
}


@media (min-width:768px) {
    .bigmap {
        /*width: -webkit-fill-available;*/
        padding-left: 0px;
        padding-right: 0px;
        height: 100% !important;
        position: absolute !important;
        --bs-gutter-x: 0px;
    }

    .mapMenu {
        z-index: 99;
        position: absolute;
        margin-top: 10px !important;
        margin-left: 10px !important;
    }

    .select2-results__options {
        z-index: 100;
    }
}


.mapMenu, .mapMenu .card-body {
    background: var(--backgroundcolor) !important;
}

.row.map > * {
    padding-right: unset !important;
    padding-left: unset !important;
}



.select2-container--default .select2-results__option[aria-selected=true],
.select2-container--default .select2-results__option[aria-selected=true]:hover,
.select2-container--default .select2-results__option:hover,
.select2-container--default .select2-results__option--highlighted[aria-selected],
.select2-container .select2-selection--multiple .select2-selection__choice {
    background: var(--primary);
}

.btnTrack {
    margin-top: 27px;
}

#rightSmallLogo {
    visibility: hidden;
}

@media (max-width:768px) {
    ul.form-wizard-header > li a:not(.active) {
        display: none !important;
        width: 0% !important;
    }

    #rootwizard > ul.nav {
        display: block !important;
    }

    .container {
        width: 100%;
        padding: 0px;
        padding-top: 5px;
    }

    #rightLogo {
        display: none;
    }

    #rightSmallLogo {
        visibility: visible;
    }
}

.tracker > .card-body, .tracker > .card-body > .card-body {
    padding: 0px;
}

cercalia-marker-popup .card-body, .tracker .card-body {
    padding: 0px;
}

cercalia-marker-popup, .cercalia-marker-popup, .cercalia-marker-popup {
    background-color: var(--modalbackgroundcolor) !important;
}


.cercalia-marker-popup-0 #content.cercalia-marker-popup {
    display: block !important;
}

.coordinatePopUp .modal-content {
    background-color: var(--backgroundcolor);
}

.coordinatePopUp .modal-title {
    width: 100% !important;
}

.coordinatePopUp label, .coordinatePopUp .form-group, .coordinatePopUp .form-control-plaintext {
    margin-bottom: 0px;
    padding-bottom: 0px;
}

.coordinatePopUp hr {
    margin: 1rem 0 0 0;
    padding-bottom: 0 0 0 0;
    border: solid 0.5px #353c43;
}

.prime_nowrap {
    white-space: nowrap;
}

.prime_pl_5 {
    padding-left: 5px;
}

.small_map {
    position: relative !important;
    min-height: 800px;
    height: 100% !important;
    /*width: 99.8% !important;*/
}

#map {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
}

.TitleAlert {
    font-family: Oxygen;
    font-size: 15px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: var(--pale-grey);
}


.TitleShift {
    font-family: Oxygen;
    font-size: 18px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: var(--pale-grey);
}

.labelShift {
    padding-bottom: 0px;
    padding-top: 0px;
    margin-bottom: 0px;
}

.inputShift {
    margin: 0;
    padding: 0;
    font-family: Oxygen;
    font-size: 15px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: var(--pale-grey);
}



.itiDisplayBlock > .iti {
    display: block;
}

.dropzone {
    background-color: transparent;
    position: relative;
}

    .dropzone:before {
        font-family: 'Font Awesome 5 Pro';
        color: var(--label-grey);
        content: "\f382";
        position: relative;
        display: inline-block;
        /*z-index: 5;*/
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate( -50%, -50% );
        padding: 3px 15px 3px 25px;
        font-size: xx-large;
    }

.close {
    color: white;
    z-index: 5;
}

.bootbox-close-button {
    background-color: transparent;
    border-color: #ccc;
    border: none;
    position: absolute;
    right: 0px;
    top: -8px;
    font-size: 1.5rem;
}

/*.input-wrapper, span#boton {
    padding:0px!important;
    max-height:50px;
    margin:0px;

}
    span#boton iframe {
        width: 50px;
        height: 50px;
    }*/



#card-number, .expirationdate, #cvv, .botonpay {
    /*width: 75px;*/
    height: 3rem;
}

input[type=email] {
    text-transform: lowercase;
}

#predefinedMessageResponse {
    list-style: none;
}

.form-control-plaintext {
    color: var(--text-grey);
}

.note-editable {
    background-color: white;
    color: black;
    padding: 3rem !important;   
}

.checkBoxInsideTable {
    margin-top: 8px;
}

.checkBoxInsideFormulary {
    margin-top: 9px;
}

.form-check-input {
    border-color: grey;
}

.alertOnList > div.card {
    z-index: 2;
    color: #000;
    background-color: var(--warning);
    border-color: var(--light);
}

.alertChecked > div.card {
    z-index: 2;
    color: white;
    border-color: var(--light);
}

.emergencyOnList {
    z-index: 2;
    color: #fff;
    background-color: rgba(250,92,124, .75);
    border-color: var(--light);
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.shift-dark-box {
    --ct-gutter-x: 0;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: #292E33;
}

.customizable-card-header {
    --ct-gutter-x: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    align-items: center;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
}

div.customizable-card-header > div > h3, div.customizable-card-header > div > p.h3, div.customizable-card-header > div > h4, div.customizable-card-header > div > p.h4 {
    text-shadow: 0px 0px 2px #0000003b !important;
}

.customizable-card-body {
    --ct-gutter-x: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    align-items: center;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
}

.alert-header {
    background-color: var(--not-checked-alert) !important;
}

.open-shift-header {
    background-color: var(--open-shift) !important;
}

.closed-shift-header {
    background-color: var(--closed-shift) !important;
}

.unsettled-shift-header {
    background-color: var(--closed-shift) !important;
}

.settled-shift-header {
    background-color: var(--settled-shift) !important;
}

.forcibly-closed-shift-header {
    background-color: var(--forcibly-closed-shift) !important;
}

.forcibly-open-shift-header {
    background-color: var(--forcibly-open-shift) !important;
}

.unknown-shift-header {
    background-color: black !important;
}

.active-card-header {
    background-color: var(--active-state) !important;
}

.not-active-card-header {
    background-color: var(--not-active-state) !important;
}

.trip-event-header {
    background-color: var(--trip-event) !important;
}

.free-event-header {
    background-color: var(--free-event) !important;
}

.pause-event-header {
    background-color: var(--pause-event) !important;
}

.out-of-shift-event-header {
    background-color: var(--out-of-shift-event) !important;
}

.map-trip-event-header {
    background-color: var(--map-trip-event) !important;
}

.map-free-event-header {
    background-color: var(--map-free-event) !important;
}

.map-out-of-shift-event-header {
    background-color: var(--map-out-of-shift-event) !important;
}

.map-open-shift-header {
    background-color: var(--map-open-shift) !important;
}

.map-closed-shift-header {
    background-color: var(--map-closed-shift) !important;
}

.map-settled-shift-header {
    background-color: var(--map-settled-shift) !important;
}

.map-forcibly-closed-shift-header {
    background-color: var(--map-forcibly-closed-shift) !important;
}

.map-forcibly-open-shift-header {
    background-color: var(--map-forcibly-open-shift) !important;
}

.map-unknown-shift-header {
    background-color: black !important;
}


@media (max-width: 600px) {
    .shit-card-header-body {
        font-weight: 700;
        font-size: 1rem;
    }
}

@media (min-width: 600px) {
    .shit-card-header-body {
        font-weight: 700;
        font-size: 1.125rem;
    }
}

.shit-card-header-body-mini {
    font-weight: 700;
    font-size: 1rem;
    text-shadow: 0px 0px 2px #0000003b !important
}

.fee-card-header {
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--gray-dark);
    border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
    padding-top: 0.2em;
}

.box-content {
    --ct-gutter-x: 0;
    padding: 1.5rem 1.25rem !important;
    background-color: var(--backgroundcard);
}

.map-box {
    --ct-gutter-x: 0;
    padding: 1.5rem 1.25rem;
    background-image: url('/img/map_thumbnail.png');
    background-repeat: no-repeat;
    background-size: auto;
}

@media(max-width:576px) {
    .map-box {
        padding: 4rem 1.25rem !important;
    }
}


.prime-card-body {
    padding-top: 1em;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
}

.prime-shift-event-card-body {
    padding: 1em 0.5em 0em 0.5em;
    margin-bottom: 1em;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
}

.prime-period-event-card-body {
    padding: 1.5em 0.5em;
    margin-bottom: 1em;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
}

.event-card-body {
    padding-top: 1em;
    padding-right: 1rem;
    padding-left: 1rem;
    margin-bottom: 1em;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
}

.e-card-body {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.5rem 1rem;
}

.service-card {
    padding: 0 1%;
}

.PrimePopup {
    max-width: fit-content !important;
    color: white !important;
}

.mapboxgl-popup-anchor-top .mapboxgl-popup-tip {
    border-bottom-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-bottom .mapboxgl-popup-tip {
    border-top-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-top-left .mapboxgl-popup-tip {
    border-bottom-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-left .mapboxgl-popup-tip {
    border-right-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-bottom-left .mapboxgl-popup-tip {
    border-top-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-bottom-right .mapboxgl-popup-tip {
    border-top-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-right .mapboxgl-popup-tip {
    border-left-color: var(--backgroundcard) !important;
}

.mapboxgl-popup-anchor-top-right .mapboxgl-popup-tip {
    border-bottom-color: var(--backgroundcard) !important;
}

.text-modified {
    color: lightyellow;
}

.card25Margin {
    margin: 0.25% 0 0 0;
    padding: 0;
    border-radius: 12px;
    box-shadow: 0 0 8px 0 rgb(0 0 0 / 20%);
    background-color: var(--backgroundcard);
}

.overflowEllipsis {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.overflowNoEllipsis {
    overflow: visible !important;
    white-space: break-spaces !important;
}

@media(max-width:576px) {
    .whiteSpaceNoWrapMobile {
        white-space: nowrap !important;
    }
}

.downUpButtons {
    float: right;
    padding-top: 10px;
    padding-right: 25px
}

.checkedAlertCard {
    background-color: var(--not-checked-alert);
    box-shadow: 0 0 8px 0 rgb(0 0 0 / 20%);
}

.cards tbody tr {
    padding: 0.5em;
    float: left;
    border: 1px solid #aaa;
    background-color: white;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) calc(0.25rem - 1px) calc(0.25rem - 1px);
    height: max-content;
    background-color: transparent;
}

.cards tbody td {
    width: 100em;
    height: auto;
    overflow: visible;
    text-align: left;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) calc(0.25rem - 1px) calc(0.25rem - 1px);
}

@media(min-width:576px) {
    .cards tbody tr {
        width: 100%;
    }
}

/*@media(min-width:768px) {
    .cards tbody tr {
        width: 50%;
    }
}*/

@media(min-width:992px) {
    .cards tbody tr {
        width: 50%;
    }
}

.cards tbody tr.emptyTable {
    width: 100% !important;
    margin-left: 13px;
}

.note-editor.note-airframe .note-editing-area .note-editable[contenteditable=false], .note-editor.note-frame .note-editing-area .note-editable[contenteditable=false] {
    background-color: white !important;
}

.note-toolbar {
    color: #333;
    background-color: #f5f5f5;
    border-bottom: 1px solid;
    border-color: #ddd;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.dashboardText {
    color: white;
}

.driverPhoto {
    background: url("../img/userPlaceHolder.png");
    background-size: cover;
    object-fit: cover;
}

@media (min-width: 768px) {
    .avoidLeftMenu {
        padding-left: 45px;
    }
}

.footer {
    position: fixed;
    bottom: 0;
    /*width: 100%;*/
}

.navbar-custom-allWitdh {
    padding: 0 24px;
    background-color: var(--ct-bg-topbar);
    -webkit-box-shadow: var(--ct-box-shadow);
    box-shadow: var(--ct-box-shadow);
    min-height: 80px;
    position: fixed;
    left: 0px;
    top: 0;
    right: 0;
    z-index: 1001;
}

.offcanvas-backdrop.show {
    opacity: 0;
    position: inherit;
}

.prime-dot {
    list-style-type: none;
    padding: 0;
}

    .prime-dot li::before {
        content: '\2022';
        color: rgb(0, 156, 106);
        font-size: 24px;
        margin-right: 10px;
        vertical-align: middle;
    }

.bd-alert {
    --ct-bg-opacity: 1;
    background-color: var(--not-checked-alert) !important;
}

/* Semisolució als dattepickers als smartphones */
/*html, body, #reactContainer, #transitionContainer, .screen-container {
    height: 100%;
    display: inline;
    overflow: auto;
    
}*/


@media(max-width:576px) {
    .daterangepicker :not(.noMobileVisNeeded) {
        /* top: 10% !important;*/

        @media(max-height:900px) {
            height:60%;
            overflow-y: scroll !important;
        }
    }
}


.btn-delete {
    background-color: #cb4180bf !important;
    color: #fff !important;
    border-color: #cb4180bf !important;
    box-shadow: 0 2px 6px 0 rgba(203, 65, 128,.5) !important;
}

.mapboxgl-canvas {
    left: -4px !important;
}

h4, .h4, h3, .h3 {
    text-shadow: 0px 0px 2px #000000d9;
}

h4, .h4 {
    text-shadow: 0px 0px 2px #000000 !important;
}

.btn-success {
    text-shadow: 0px 0px 1.5px #000000 !important;
}

.new-item-row {
    display: none;
}

.cards tbody tr.listInCard {
    padding: 1em;
    float: left;
    border: 1px solid #aaa;
    background-color: white;
    color: var(--ct-input-color);
    background-clip: border-box;
    background-color: var(--ct-card-bg);
    border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) calc(0.25rem - 1px) calc(0.25rem - 1px);
    height: max-content;
    background-color: transparent;
}

.dataTables_scrollBody thead {
    /*visibility: hidden;*/
}


input[type="number"] {
    -webkit-appearance: textfield !important;
    margin: 0;
    -moz-appearance: textfield !important;
}

.numberIndexForAlert {
    display: inline !important;
    width: 1.125rem !important;
    height: 1.125rem !important;
    align-items: self-start !important;
    font-size: 0.55em !important;
    justify-content: start !important;
    border-radius: 50% !important;
    color: #fa5c7c !important;
    font-weight: 700;
    align-content: start !important;
    float: inline-end;
    position: relative;
    left: -3px;
    top: -3px;
    text-shadow: 0px 0px 1px #000000 !important;
}

/* to have a big number inside a circle https://stackoverflow.com/questions/4861224/how-to-use-css-to-surround-a-number-with-a-circle */
.numberInsideCircle {
    display: flex !important;
    width: 3ch !important; /* Set this to slightly wider than the longest string in this case i expect maximum 2ch of value + 1ch of margin*/
    aspect-ratio: 1 / 1 !important;
    align-items: center !important;
    font-size: 0.55em !important;
    justify-content: center !important;
    border-radius: 50% !important;
    background-color: #fa5c7c !important;
    color: var(--ct-card-bg);
    font-weight: 700;
    align-content: center !important;
    text-shadow: 0px 0px 1px #0000007d !important;
    outline: 0.5px solid #0000007d;
}

#botonCargando .spinner {
    width: 16px;
    height: 16px;
    margin-right: 10px;
    border: 2px solid transparent;
    border-top: 2px solid white;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    display: none;
}

#botonCargando.busy {
    width: 150px;
}

    #botonCargando.busy .spinner {
        display: inline-block;
    }

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}